rebase: also restore "ui.allowemptycommit" value
ClosedPublic

Authored by martinvonz on Mar 9 2018, 4:09 PM.

Details

Summary

It looks like this was lost when the code was converted to the
ui.configoverride() context manager in f255b1811f5e (rebase: get rid
of ui.backupconfig, 2017-03-16). (And then the bad example was
duplicated in 228916ca12b5 (rebase: add concludememorynode(), and call
it when rebasing in-memory, 2017-12-07).)

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
martinvonz created this revision.Mar 9 2018, 4:09 PM
martinvonz updated this revision to Diff 6872.Mar 12 2018, 2:22 PM
yuja accepted this revision.Mar 13 2018, 10:48 AM
This revision is now accepted and ready to land.Mar 13 2018, 10:48 AM
This revision was automatically updated to reflect the committed changes.